Subject: Re: [PATCH -next] acpi utmisc: use WARN_ON() instead of warn_on_slowpath()

From: Andi Kleen <[email-masked]>
Date: Sun, 06 Jul 2008 20:13:34 +0200

Len Brown wrote:

> Ingo pointed out that automated testing wasn't finding
> ACPI exceptions because we were not using the standard
> Linux format for oops etc.

Sounds more like a case of more the automated testing
needing fixing than the kernel. I'll just remove it.

> I put this hack patch on the debug-test branch in the acpi tree,
> and pulled it into the test branch for linux-next to mine
> for previously ignored errors.
> 
> This commit isn't intended for 2.6.27.
> (and thus is not on the release-2.6.27 branch)
> hopefully that isn't abuse of linux-next...
> 
> Arjan tells me that we'll have a real WARN()
> with prink semantics in 2.6.27 and so we can
> simplify/standardize this when that happens.
> 
> Oh, and since I'm on sabbatical, I'm obviously
> fine with whatever Andi Kleen does (or does not do here)
> in my absence.

Thanks for the clarification, Len. I was already puzzling
why that was changed.

And no need to watch your email that closely...

-Andi